info.bioinfweb.jphyloio.formats.nexus.blockhandlers

## Class TaxaBlockHandler

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.nexus.blockhandlers.AbstractNexusBlockHandler
  - - info.bioinfweb.jphyloio.formats.nexus.blockhandlers.TaxaBlockHandler

- All Implemented Interfaces:
    NexusBlockHandler, NexusConstants

      public class TaxaBlockHandler
      extends AbstractNexusBlockHandler
      implements NexusBlockHandler, NexusConstants

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexus.NexusConstants

      `ALTERNATIVE_END_COMMAND, BEGIN_COMMAND, BLOCK_NAME_CHARACTERS, BLOCK_NAME_DATA, BLOCK_NAME_NETWORKS, BLOCK_NAME_SETS, BLOCK_NAME_TAXA, BLOCK_NAME_TREES, BLOCK_NAME_UNALIGNED, CHARACTER_NAME_STATES_SEPARATOR, COMMAND_END, COMMAND_NAME_CHAR_LABELS, COMMAND_NAME_CHAR_SET, COMMAND_NAME_CHAR_STATE_LABELS, COMMAND_NAME_DIMENSIONS, COMMAND_NAME_FORMAT, COMMAND_NAME_LINK, COMMAND_NAME_MATRIX, COMMAND_NAME_NETWORK, COMMAND_NAME_TAX_LABELS, COMMAND_NAME_TAXON_SET, COMMAND_NAME_TITLE, COMMAND_NAME_TRANSLATE, COMMAND_NAME_TREE, COMMAND_NAME_TREE_SET, COMMENT_END, COMMENT_START, DIMENSIONS_SUBCOMMAND_NCHAR, DIMENSIONS_SUBCOMMAND_NEW_TAXA, DIMENSIONS_SUBCOMMAND_NTAX, ELEMENT_SEPARATOR, END_COMMAND, FIRST_LINE, FORMAT_NAME_STANDARD, FORMAT_NAME_VECTOR, FORMAT_SUBCOMMAND_DATA_TYPE, FORMAT_SUBCOMMAND_GAP_CHAR, FORMAT_SUBCOMMAND_INTERLEAVE, FORMAT_SUBCOMMAND_MATCH_CHAR, FORMAT_SUBCOMMAND_MISSING_CHAR, FORMAT_SUBCOMMAND_NO_LABELS, FORMAT_SUBCOMMAND_NO_TOKENS, FORMAT_SUBCOMMAND_SYMBOLS, FORMAT_SUBCOMMAND_TOKENS, FORMAT_SUBCOMMAND_TRANSPOSE, FORMAT_VALUE_CONTINUOUS_DATA_TYPE, FORMAT_VALUE_DNA_DATA_TYPE, FORMAT_VALUE_MIXED_DATA_TYPE, FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE, FORMAT_VALUE_PROTEIN_DATA_TYPE, FORMAT_VALUE_RNA_DATA_TYPE, FORMAT_VALUE_STANDARD_DATA_TYPE, KEY_VALUE_SEPARATOR, MATRIX_POLYMORPHIC_TOKEN_END, MATRIX_POLYMORPHIC_TOKEN_START, MATRIX_UNCERTAINS_TOKEN_END, MATRIX_UNCERTAINS_TOKEN_START, NEXUS_FORMAT_NAME, NEXUS_NAMESPACE_PREFIX, NEXUS_PREDICATE_NAMESPACE, SET_END_INDEX_SYMBOL, SET_KEY_WORD_ALL, SET_KEY_WORD_REMAINING, SET_REGULAR_INTERVAL_SYMBOL, SET_TO_SYMBOL, SET_VECTOR_CONTAINED, SET_VECTOR_NOT_CONTAINED, UNTIL_WHITESPACE_COMMENT_COMMAND_EQUAL_PATTERN, UNTIL_WHITESPACE_COMMENT_COMMAND_PATTERN, VALUE_DELIMITER, WORD_DELIMITER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxaBlockHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeCommand(NexusReaderStreamDataProvider streamDataProvider, java.lang.String commandName, NexusCommandEventReader commandReader)` This method is called before a command found in a block handled by this handler is processed, by calling the according command reader.
    `void` | `handleBegin(NexusReaderStreamDataProvider streamDataProvider)` This method will be called by `NexusEventReader` each time a `BEGIN` command for a block listed in `NexusBlockHandler.getBlockNames()` is read.
    `void` | `handleEnd(NexusReaderStreamDataProvider streamDataProvider)` This method will be called by `NexusEventReader` each time an `END` command for a block listed in `NexusBlockHandler.getBlockNames()` is read.

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.nexus.blockhandlers.AbstractNexusBlockHandler

      `getBlockNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.formats.nexus.blockhandlers.NexusBlockHandler

      `getBlockNames`

- - ### Constructor Detail

    - #### TaxaBlockHandler

          public TaxaBlockHandler()

  - ### Method Detail

    - #### handleBegin

          public void handleBegin(NexusReaderStreamDataProvider streamDataProvider)

      Description copied from interface: `NexusBlockHandler`
      This method will be called by `NexusEventReader` each time a `BEGIN` command for a block listed in `NexusBlockHandler.getBlockNames()` is read.
      Specified by:
        `handleBegin` in interface `NexusBlockHandler`
      Parameters:
        `streamDataProvider` - the stream data provider of the calling `NexusEventReader`
      See Also:
        `AbstractEventReader.getStreamDataProvider()`

    - #### handleEnd

          public void handleEnd(NexusReaderStreamDataProvider streamDataProvider)

      Description copied from interface: `NexusBlockHandler`
      This method will be called by `NexusEventReader` each time an `END` command for a block listed in `NexusBlockHandler.getBlockNames()` is read.
      Specified by:
        `handleEnd` in interface `NexusBlockHandler`
      Parameters:
        `streamDataProvider` - the stream data provider of the calling `NexusEventReader`
      See Also:
        `AbstractEventReader.getStreamDataProvider()`

    - #### beforeCommand

          public void beforeCommand(NexusReaderStreamDataProvider streamDataProvider,
                                    java.lang.String commandName,
                                    NexusCommandEventReader commandReader)

      Description copied from interface: `NexusBlockHandler`
      This method is called before a command found in a block handled by this handler is processed, by calling the according command reader.
      Specified by:
        `beforeCommand` in interface `NexusBlockHandler`
      Parameters:
        `streamDataProvider` - the stream data provider of the calling `NexusEventReader`
        `commandName` - the name of the Nexus command, that will be processed next
        `commandReader` - the reader that will be used to process this command or `null` if no according reader was found
      See Also:
        `AbstractEventReader.getStreamDataProvider()`